warning off
addpath('./ext/');
addpath('./util/');

tic

obj_list = read_input_file('objects.txt');

bot_list.dir = 'bot_images';
prefix = 'df2_right_im_';
max_dim = 600;

i = 1;

tic;
t = toc;

while  t <= 1200
    bot_list.desc{i}.name = [bot_list.dir, '/' prefix num2str(i-1,'%4d') '.ppm'];

    try
        t = toc;
        imread(bot_list.desc{i}.name );
    catch
        pause(1);
        continue;
    end

    try
        convert_image_to_single_format( bot_list.desc{i}.name, max_dim )
    catch
        % do nothing?
        disp(['Error: convert ' bot_list.desc{i}.name ' to max dim ' num2str(max_dim)]);
    end
    
    try
        bot_desc = pre_process_image([bot_list.dir, '/', prefix, num2str(i-1,'%4d'), '.jpg']);
        save(['bot_descs/bot_desc_' num2str(i-1)],'bot_desc');
    catch
        disp(['Error: extract sift feature of ' bot_list.desc{i}.name]);
    end
    
    clear bot_desc;
    i = i + 1;
end

if( t > 960 )
    warning('time out!!!');
end

t2 = toc
