% Need to find good parameters for mser
function sift_descs = get_sift_features(img, ip_type)
% img is assumed to be bw 
% cd ext; 

switch (ip_type)
    
    case 'sift'
        imwrite(img, 'tmp.pgm');
%         tic
%         size(img)
        [im, des, loc] = sift('tmp.pgm');
%         toc 
%         pause
        xs = loc(:,2);
        ys = loc(:,1);
        
    case 'mser'
        imwrite(img,'tmp.png');
        system('ext/mser.ln -t 2 -i tmp.png -o tmp.mser');
        system('ext/extract_features.ln -sift -p1 tmp.mser -i tmp.png -o1 tmp.haraff -thres 1000');
        [xs ys des] = get_features('tmp.haraff');
end
[ xs ys des ] = remove_dups(xs, ys, des);

%cd ..;

% Normalize features
des = des./repmat(sqrt(sum(des.^2,2)),[1 size(des,2)]);

sift_descs.xs   = xs; 
sift_descs.ys   = ys;
sift_descs.des  = des;


function [xs, ys, des] = remove_dups(xs, ys, des)

%Remove duplicates
dup(1:length(xs)) = false;
for i = 1:length(xs)
    for j = i+1:length(xs)
        if (sqrt((xs(i)-xs(j)).^2 + (ys(i)-ys(j)).^2)<3)
            dup(j) = true;
        end
    end
end
xs  = xs(~dup);
ys  = ys(~dup);
des = des(~dup,:);
