function bot_list = pre_process_bot_images(bot_list)

fprintf(['Resizing images in ' bot_list.dir ' to max dimension 600']);
% Convert all images to jpgs of maximum dimension 300
convert_image_dir_to_single_format(bot_list.dir, 600);

for i = 1:length(bot_list.desc)
    
%    fprintf('\n%s\n',char(ones(1,80)*'-'));
%    fprintf('\nPre processing Bot Image No. %d : %s\n', i, bot_list.desc{i}.name);

    %if (exist(['bot_descs/bot_desc_' num2str(i) '.mat'],'file'))
    %    continue;
    %end
        
    bot_desc = pre_process_image(['bot_images/cap_' num2str(i,'%04d') '.jpg']);
    save(['bot_descs/bot_desc_' num2str(i)],'bot_desc');
    clear bot_desc;
end
