function save_found_objects(rec_list)

for i = 1:length(rec_list)
    
    if (~rec_list{i}.is_recognized)
        continue;
    end
    
    img = imread(rec_list{i}.rec_img_name);
    
    imshow(img);
    title([rec_list{i}.obj_name ' found in ' rec_list{i}.rec_img_name 'with ' num2str(rec_list{i}.num_matches) ' matches']);
    
    hold on;
    if (~isempty(rec_list{i}.bpts))
        bpts = rec_list{i}.bpts;
        for j=1:4
            line([bpts(1,j); bpts(1,j+1)],[bpts(2,j); bpts(2,j+1)],'LineWidth',4);
        end
    else
        rectangle('Position',rec_list{i}.bbox([2 1 4 3]),'LineWidth',4,'EdgeColor','blue');
    end
    hold off;
    drawnow;
    pause(1)
    
    fra = getframe();
    imwrite(fra.cdata, ['results/', rec_list{i}.obj_name,'.png']);
    
    %pause;
end
