warning off
addpath('./ext/');
addpath('./util/');

tic

obj_list = read_input_file('objects.txt');

dirname = 'bot_images';
prefix = 'df2_right_im_';

bot_list = read_bot_images(dirname, prefix);
bot_list = load_bot_list_descs_only(bot_list);

% try
    rec_list1 = recognize_objects(obj_list, bot_list, 1);
    rec_list2 = recognize_objects(obj_list, bot_list, 2);
    rec_list3 = recognize_objects(obj_list, bot_list, 3);
% catch
%     disp(['Error in recognition module']);
% end

for i = 1 : length(rec_list1)
    if( rec_list1{i}.is_recognized== 1 &&  rec_list2{i}.is_recognized== 1)
        if(rec_list1{i}.num_matches > rec_list2{i}.num_matches )
            % do nothing
        else
            rec_list1{i} = rec_list2{i};
        end
    elseif ( rec_list1{i}.is_recognized== 1)
        % do nothing
    elseif( rec_list2{i}.is_recognized== 1)
        rec_list1{i} = rec_list2{i};
    else
        % do nothing
    end
end

for i = 1 : length(rec_list1)
    if( rec_list1{i}.is_recognized== 1 &&  rec_list3{i}.is_recognized== 1)
        if(rec_list1{i}.num_matches > rec_list3{i}.num_matches )
            % do nothing
        else
            rec_list1{i} = rec_list3{i};
        end
    elseif ( rec_list1{i}.is_recognized== 1)
        % do nothing
    elseif( rec_list3{i}.is_recognized== 1)
        rec_list1{i} = rec_list3{i};
    else
        % do nothing
    end
end


% write_output_file(rec_list1);
% show_found_objects(rec_list1);

save ./results/sift1.mat rec_list1;

t3 = toc
