function obj_list = download_images(obj_list)

tic;
perl_exe = 'C:\Perl\bin\perl';

for i=1:length(obj_list)
   
    fprintf('Downloading images for ''%s'' \n',obj_list{i}.name);
    
    switch(obj_list{i}.type)
        case 'instance' 
            num_imgs = 5;
        case 'category' 
            num_imgs = 5;
    end
    
    system([perl_exe ' retrieveImagesFromGoogle2.pl ' num2str(num_imgs) ' ' obj_list{i}.dir ' ' obj_list{i}.name]);
end;

fprintf('\nCompleted downloading images, Total time = %.2f seconds\n', toc);

