function im2 = myimtrans(im,H)
% author: justin domke
Hi = inv(H);
[ly lx lz] = size(im);
[X2 Y2] = meshgrid(0:lx-1,0:ly-1);
%X2 = X2-lx/2;
%Y2 = Y2-ly/2;
X2 = X2(:);
Y2 = Y2(:);
X1 = Hi(1,:)*[X2'; Y2'; 1+0*X2'];
Y1 = Hi(2,:)*[X2'; Y2'; 1+0*X2'];
Z1 = Hi(3,:)*[X2'; Y2'; 1+0*X2'];
X1 = X1./Z1;
Y1 = Y1./Z1;
Z1 = Z1./Z1;
X1 = reshape(X1,ly,lx);
Y1 = reshape(Y1,ly,lx);
Z1 = reshape(Z1,ly,lx);
%X1 = X1+lx/2;
%Y1 = Y1+ly/2;
for i=1:lz
    im2(:,:,i) = interp2(im(:,:,i),X1,Y1,'bilinear');
end
im2(find(isnan(im2))) = 0;