function main(phase_name)

switch(phase_name)

    case 'download'
        % Download and preprocess images from the net
        obj_list = read_input_file('input.txt');
        obj_list = download_images(obj_list);
        obj_list = pre_process_obj_images(obj_list);

    case 'explore'
        % Read and preprocess images from the bot
        bot_list = read_bot_images;
        pre_process_bot_images(bot_list);
        bot_list = load_bot_list_descs_only(bot_list);
        
    case 'recognize'
        % Run recognition code
        rec_list = recognize_objects(obj_list, bot_list);
        % Write output file
        write_output_file(rec_list);

end


