function obj_list = pre_process_obj_images(obj_list)

for i = 1:length(obj_list)
    fprintf('\n%s\n',char(ones(1,80)*'-'));
    fprintf('\nPre processing Object No. %d : %s\n', i, obj_list{i}.name);

    if (exist(['obj_descs/obj_desc_' num2str(i) '.mat'],'file'))
        continue;
    end
    
    % Convert all images to jpgs of maximum dimension 300
    convert_image_dir_to_single_format(obj_list{i}.dir, 300);
    
    % Preprocess all images of this object
    for j = 0:4
        obj_desc{j+1} = pre_process_image(['google_object_' num2str(i) '/google_object_' num2str(i) '_' num2str(j) '.jpg']);
    end
    save(['obj_descs/obj_desc_' num2str(i)],'obj_desc');
    clear obj_desc;
end


