function show_matches(img1, img2, x1, y1, x2, y2)

% Create a new image showing the two images side by side.
img3 = appendimages(img1,img2);

% Show a figure with lines joining the accepted matches.
%figure('Position', [100 100 size(img3,2) size(img3,1)]);
colormap('gray');
imagesc(img3);
hold on;
cols1 = size(img1,2);

for i = 1: length(x1)
    line([x1(i) x2(i)+cols1], ...
         [y1(i) y2(i)], 'Color', 'c');
end

hold off;

title([num2str(length(x1)) ' matches']);